"""
Conversion pack for Proteus Module Tiericide
"""

CONVERSIONS = {
    # Renamed items
    "Basic Capacitor Recharger": "'Basic' Capacitor Recharger",
    "Basic Capacitor Power Relay": "'Basic' Capacitor Power Relay",
    "Basic Overdrive Injector System": "'Basic' Overdrive Injector System",
    "Basic Reinforced Bulkheads": "'Basic' Reinforced Bulkheads",
    "Basic Nanofiber Internal Structure": "'Basic' Nanofiber Internal Structure",
    "Basic Expanded Cargohold": "'Basic' Expanded Cargohold",
    "Basic Inertia Stabilizers": "'Basic' Inertial Stabilizers",
    "Inertia Stabilizers I": "Inertial Stabilizers I",
    "Inertia Stabilizers II": "Inertial Stabilizers II",
    "Basic Power Diagnostic System": "'Basic' Power Diagnostic System",
    "Eutectic Capacitor Charge Array": "Eutectic Compact Cap Recharger",
    "Cu Vapor Particle Bore Stream I": "Particle Bore Compact Mining Laser",
    "Type-D Altered SS Expanded Cargo": "Type-D Restrained Expanded Cargo",
    "Type-D Altered SS Inertial Stabilizers": "Type-D Restrained Inertial Stabilizers",
    "Type-D Altered SS Nanofiber Structure": "Type-D Restrained Nanofiber Structure",
    "Type-D Altered SS Overdrive Injector": "Type-D Restrained Overdrive Injector",
    "Type-D Altered SS Reinforced Bulkheads": "Type-D Restrained Reinforced Bulkheads",
    "Mark I Modified SS Reinforced Bulkheads": "Mark I Compact Reinforced Bulkheads",
    "Type-D Power Core Modification: Capacitor Power Relay": "Type-D Restrained Capacitor Power Relay",
    "Mark I Generator Refitting: Capacitor Power Relay": "Mark I Compact Capacitor Power Relay",
    "Mark I Generator Refitting: Diagnostic System": "Mark I Compact Power Diagnostic System",
    "Synthetic Hull Conversion Overdrive Injector I": "Synthetic Hull Conversion Overdrive Injector",
    "Synthetic Hull Conversion Reinforced Bulkheads I": "Synthetic Hull Conversion Reinforced Bulkheads",
    "Synthetic Hull Conversion Inertia Stabilizers I": "Synthetic Hull Conversion Inertia Stabilizers",
    "Synthetic Hull Conversion Nanofiber Structure I": "Synthetic Hull Conversion Nanofiber Structure",
    "Elara Mining Laser Upgrade": "Elara Restrained Mining Laser Upgrade",
    "Carpo Mining Laser Upgrade": "'Carpo' Mining Laser Upgrade",
    "Aoede Mining Laser Upgrade": "'Aoede' Mining Laser Upgrade",
    "Frigoris Ice Harvester Upgrade": "Frigoris Restrained Ice Harvester Upgrade",
    "Anguis Ice Harvester Upgrade": "'Anguis' Ice Harvester Upgrade",
    "Ingenii Ice Harvester Upgrade": "'Ingenii' Ice Harvester Upgrade",
    "Limited Expanded 'Archiver' Cargo I": "Limited Expanded 'Archiver' Cargo",
    "EP-S Gaussian Excavation Pulse": "EP-S Gaussian Scoped Mining Laser",

    # Converted items
    "Alpha Reactor Control: Diagnostic System": "'Basic' Power Diagnostic System",
    "Marked Generator Refitting: Diagnostic System": "'Basic' Power Diagnostic System",
    "Partial Power Plant Manager: Diagnostic System": "'Basic' Power Diagnostic System",
    "Type-E Power Core Modification: Diagnostic System": "'Basic' Power Diagnostic System",
    "Type-E Power Core Modification: Reaction Control": "'Basic' Power Diagnostic System",
    "Local Hull Conversion Reinforced Bulkheads I": "Type-D Restrained Reinforced Bulkheads",
    "Beta Hull Mod Reinforced Bulkheads": "Mark I Compact Reinforced Bulkheads",
    "Beta Hull Mod Inertial Stabilizers": "Type-D Restrained Inertial Stabilizers",
    "Local Hull Conversion Inertial Stabilizers I": "Type-D Restrained Inertial Stabilizers",
    "Mark I Modified SS Inertial Stabilizers": "Type-D Restrained Inertial Stabilizers",
    "Marked Modified SS Inertial Stabilizers": "Type-D Restrained Inertial Stabilizers",
    "Beta Reactor Control: Diagnostic System I": "Mark I Compact Power Diagnostic System",
    "Local Power Plant Manager: Diagnostic System I": "Mark I Compact Power Diagnostic System",
    "Type-D Power Core Modification: Diagnostic System": "Mark I Compact Power Diagnostic System",
    "Alpha Hull Mod Expanded Cargo": "'Basic' Expanded Cargohold",
    "Marked Modified SS Expanded Cargo": "'Basic' Expanded Cargohold",
    "Partial Hull Conversion Expanded Cargo": "'Basic' Expanded Cargohold",
    "Type-E Altered SS Expanded Cargo": "'Basic' Expanded Cargohold",
    "AGM Capacitor Charge Array": "'Basic' Capacitor Recharger",
    "F-a10 Buffer Capacitor Regenerator": "'Basic' Capacitor Recharger",
    "Industrial Capacitor Recharger": "'Basic' Capacitor Recharger",
    "Secondary Parallel Link-Capacitor": "'Basic' Capacitor Recharger",
    "Beta Reactor Control: Capacitor Power Relay I": "Mark I Compact Capacitor Power Relay",
    "Alpha Hull Mod Overdrive Injector": "'Basic' Overdrive Injector System",
    "Marked Modified SS Overdrive Injector": "'Basic' Overdrive Injector System",
    "Partial Hull Conversion Overdrive Injector": "'Basic' Overdrive Injector System",
    "Type-E Altered SS Overdrive Injector": "'Basic' Overdrive Injector System",
    "Erin Mining Laser Upgrade": "Elara Restrained Mining Laser Upgrade",
    "Alpha Hull Mod Reinforced Bulkheads": "'Basic' Reinforced Bulkheads",
    "Marked Modified SS Reinforced Bulkheads": "'Basic' Reinforced Bulkheads",
    "Partial Hull Conversion Reinforced Bulkheads": "'Basic' Reinforced Bulkheads",
    "Type-E Altered SS Reinforced Bulkheads": "'Basic' Reinforced Bulkheads",
    "Alpha Hull Mod Nanofiber Structure": "'Basic' Nanofiber Internal Structure",
    "Marked Modified SS Nanofiber Structure": "'Basic' Nanofiber Internal Structure",
    "Partial Hull Conversion Nanofiber Structure": "'Basic' Nanofiber Internal Structure",
    "Type-E Altered SS Nanofiber Structure": "'Basic' Nanofiber Internal Structure",
    "Crisium Ice Harvester Upgrade": "Frigoris Restrained Ice Harvester Upgrade",
    "Beta Hull Mod Nanofiber Structure": "Type-D Restrained Nanofiber Structure",
    "Local Hull Conversion Nanofiber Structure I": "Type-D Restrained Nanofiber Structure",
    "Mark I Modified SS Nanofiber Structure": "Type-D Restrained Nanofiber Structure",
    "Local Power Plant Manager: Capacity Power Relay I": "Type-D Restrained Capacitor Power Relay",
    "EP-R Argon Ion Basic Excavation Pulse": "Single Diode Basic Mining Laser",
    "Rubin Basic Particle Bore Stream": "Single Diode Basic Mining Laser",
    "Xenon Basic Drilling Beam": "Single Diode Basic Mining Laser",
    "Barton Reactor Capacitor Recharger I": "Eutectic Compact Cap Recharger",
    "F-b10 Nominal Capacitor Regenerator": "Eutectic Compact Cap Recharger",
    "Fixed Parallel Link-Capacitor I": "Eutectic Compact Cap Recharger",
    "Beta Hull Mod Expanded Cargo": "Type-D Restrained Expanded Cargo",
    "Local Hull Conversion Expanded Cargo I": "Type-D Restrained Expanded Cargo",
    "Mark I Modified SS Expanded Cargo": "Type-D Restrained Expanded Cargo",
    "Dual Diode Mining Laser I": "EP-S Gaussian Scoped Mining Laser",
    "Alpha Hull Mod Inertial Stabilizers": "'Basic' Inertial Stabilizers",
    "Partial Hull Conversion Inertial Stabilizers": "'Basic' Inertial Stabilizers",
    "Type-E Altered SS Inertial Stabilizers": "'Basic' Inertial Stabilizers",
    "Alpha Reactor Control: Capacitor Power Relay": "'Basic' Capacitor Power Relay",
    "Marked Generator Refitting: Capacitor Power Relay": "'Basic' Capacitor Power Relay",
    "Partial Power Plant Manager: Capacity Power Relay": "'Basic' Capacitor Power Relay",
    "Type-E Power Core Modification: Capacitor Power Relay": "'Basic' Capacitor Power Relay",
    "XeCl Drilling Beam I": "Particle Bore Compact Mining Laser",
    "Beta Hull Mod Overdrive Injector": "Type-D Restrained Overdrive Injector",
    "Local Hull Conversion Overdrive Injector I": "Type-D Restrained Overdrive Injector",
    "Mark I Modified SS Overdrive Injector": "Type-D Restrained Overdrive Injector",
}
